# Podręcznik użytkownika KDE

&Lauri.Watts; &Lauri.Watts.mail;
7 Czerwiec 2005
K Desktop Environment
kate
1

# `kate`

Zaawansowany edytor tekstu dla środowiska &kde;

    kate -s, --start  name  -u, --use -p, --pid pid -e, --encoding  name -l, --line wiersz -c, --column kolumna -i, --stdin KDE Generic Options Qt Generic Options

## Charakterystyka

Program &kate; jest zaawansowanym edytorem tekstu dla środowiska &kde;.

&kate; udostępnia również (pod nazwą &kwrite;) komponent edycji tekstu dla innych programów.

Główne możliwości &kate; to podświetlanie składni zarówno dla języków programowania takich jak C i C++ jak i dla kodu HTML oraz skryptów powłoki bash, możliwość tworzenia i obsługi projektów składających się z wielu plików, interfejs użytkownika umożliwiający edycję wielu dokumentów (MDI) oraz wbudowana konsola.

Program &kate; to jednak coś więcej niż jedynie edytor tekstu. Możliwość otwierania wielu plików jednocześnie czyni go idealnym narzędziem dla modyfikacji różnych plików konfiguracyjnych systemu &UNIX;. Niniejszy dokument również powstał w programie &kate;.

## Opcje

`-s`, `--start` nazwa_sesji

  Uruchamia &kate; otwierając podaną w poleceniu sesję.

`-u, --use`

  Powoduje użycie działającej instancji programu &kate;

`-p, --pid` pid

  Powoduje użycie działającej instancji programu &kate; ale tylko o podanym numerze procesu pid

`-e, --encoding` kodowanie

  Ustala sposób kodowania znaków dla otwieranego pliku

  Pozwala to na przykład na wymuszenie otwarcia pliku z kodowaniem znaków utf-8. (Polecenie `iconv -l` wyświetli listę wszystkich dostępnych w systemie zestawów kodowań znaków)

`-l, --line` wiersz

  Powoduje przejście do podanego wiersza

`-c, --column` kolumna

  Powoduje przejście do podanej kolumny

`-i, --stdin`

  Pobiera tekst ze standardowego wejścia `STDIN`

## Zobacz także

kwrite(1)

Szczegółowa dokumentacja użytkownika dostępna jest pod adresem help:/kate (można ten URL wprowadzić w oknie przeglądarki &konqueror; lub wykonać polecenie ``khelpcenter` `help:/kate``).

Dodatkowe informacje o programie dostępne są na stronie WWW programu &kate;.

## Przykłady

Aby otworzyć plik o nazwie `source.cpp` i po otwarciu ustawić w nim kursor w kolumnie 15 i wierszu 25 to należy użyć polecenia:

    kate -c 15 -l
    25 -u source.cpp

Jeżeli dostępne jest połączenie z siecią Internet można skorzystać z mechanizmu przeźroczystości sieciowej środowiska &kde; do otwierania plików na serwerach ftp. Jeżeli uprawnienia dostępu do zdalnego serwera nie pozwalają na modyfikację pliku to zostanie on otwarty w trybie tylko do odczytu zaś po dokonaniu zmian będzie go można zapisać lokalnie. Jeżeli użytkownik ma prawa zapisu do pliku zdalnego to będzie on zapisany na serwerze ftp bez konieczności wykonania żadnych dodatkowych operacji.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

## Autorzy

Opiekunem programu &kate; jest &Christoph.Cullmann; &Christoph.Cullmann.mail;. Obszerna lista autorów i współtwórców dostępna jest we wspomnianej wyżej pełnej wersji podręcznika.